## org.eclipse.jetty.server.nio
Class AbstractNIOConnector

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.http.HttpBuffers
              org.eclipse.jetty.server.AbstractConnector
                  org.eclipse.jetty.server.nio.AbstractNIOConnector

All Implemented Interfaces:
  Connector, NIOConnector, LifeCycle

Direct Known Subclasses:
  BlockingChannelConnector, SelectChannelConnector

    public abstract class AbstractNIOConnector

extends AbstractConnector
implements NIOConnector

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.server.AbstractConnector
`_lowResourceMaxIdleTime, _maxIdleTime, _soLingerTime`

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`AbstractNIOConnector()`

Method Summary
`boolean` `getUseDirectBuffers()`
`protected boolean` `isRequestHeader(Buffer buffer)`
`protected boolean` `isResponseHeader(Buffer buffer)`
`Buffer` `newRequestBuffer(int size)`
`Buffer` `newRequestHeader(int size)`
`Buffer` `newResponseBuffer(int size)`
`Buffer` `newResponseHeader(int size)`
`void` `setUseDirectBuffers(boolean direct)`

Methods inherited from class org.eclipse.jetty.server.AbstractConnector

`accept, checkForwardedHeaders, configure, connectionClosed, connectionOpened, connectionUpgraded, customize, doStart, doStop, getAcceptorPriorityOffset, getAcceptors, getAcceptQueueSize, getConfidentialPort, getConfidentialScheme, getConnections, getConnectionsDurationMax, getConnectionsDurationMean, getConnectionsDurationStdDev, getConnectionsDurationTotal, getConnectionsOpen, getConnectionsOpenMax, getConnectionsRequestsMax, getConnectionsRequestsMean, getConnectionsRequestsStdDev, getForwardedForHeader, getForwardedHostHeader, getForwardedProtoHeader, getForwardedServerHeader, getHost, getHostHeader, getIntegralPort, getIntegralScheme, getLeftMostValue, getLowResourceMaxIdleTime, getLowResourcesMaxIdleTime, getMaxIdleTime, getName, getPort, getRequests, getResolveNames, getReuseAddress, getServer, getSoLingerTime, getStatsOn, getStatsOnMs, getThreadPool, isConfidential, isForwarded, isIntegral, isLowResources, join, newBuffer, persist, setAcceptorPriorityOffset, setAcceptors, setAcceptQueueSize, setConfidentialPort, setConfidentialScheme, setForwarded, setForwardedForHeader, setForwardedHostHeader, setForwardedProtoHeader, setForwardedServerHeader, setHost, setHostHeader, setIntegralPort, setIntegralScheme, setLowResourceMaxIdleTime, setLowResourcesMaxIdleTime, setMaxIdleTime, setName, setPort, setResolveNames, setReuseAddress, setServer, setSoLingerTime, setStatsOn, setThreadPool, statsReset, stopAccept, toString`

Methods inherited from class org.eclipse.jetty.http.HttpBuffers
`getHeaderBufferSize, getRequestBuffers, getRequestBufferSize, getRequestHeaderSize, getResponseBuffers, getResponseBufferSize, getResponseHeaderSize, setHeaderBufferSize, setRequestBufferSize, setRequestHeaderSize, setResponseBufferSize, setResponseHeaderSize`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.server.Connector
`close, getConnection, getLocalPort, getRequestBuffers, getRequestBufferSize, getRequestHeaderSize, getResponseBuffers, getResponseBufferSize, getResponseHeaderSize, open, setRequestBufferSize, setRequestHeaderSize, setResponseBufferSize, setResponseHeaderSize`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Constructor Detail

### AbstractNIOConnector

    public AbstractNIOConnector()

Method Detail

### getUseDirectBuffers

    public boolean getUseDirectBuffers()

  Specified by:
    `getUseDirectBuffers` in interface `NIOConnector`

### setUseDirectBuffers

    public void setUseDirectBuffers(boolean direct)

  Parameters:
    `direct` - If True (the default), the connector can use NIO direct buffers. Some JVMs have memory management issues (bugs) with direct buffers.

### newRequestBuffer

    public Buffer newRequestBuffer(int size)

  Overrides:
    `newRequestBuffer` in class `AbstractConnector`

### newRequestHeader

    public Buffer newRequestHeader(int size)

  Overrides:
    `newRequestHeader` in class `AbstractConnector`

### newResponseBuffer

    public Buffer newResponseBuffer(int size)

  Overrides:
    `newResponseBuffer` in class `AbstractConnector`

### newResponseHeader

    public Buffer newResponseHeader(int size)

  Overrides:
    `newResponseHeader` in class `AbstractConnector`

### isRequestHeader

    protected boolean isRequestHeader(Buffer buffer)

  Overrides:
    `isRequestHeader` in class `AbstractConnector`
  Returns:
    True if the buffer is the correct type for a request header buffer

### isResponseHeader

    protected boolean isResponseHeader(Buffer buffer)

  Overrides:
    `isResponseHeader` in class `AbstractConnector`
  Returns:
    True if the buffer is the correct type for a response header buffer

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.